{% extends 'base.html.twig' %}
{% block header_title %}Disours n°{{ speech.number }}{% endblock %}
{% block header_subtitle %}{{ speech.title }}{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_speech_edit', {'id': speech.id}) }}" class="btn btn-primary"><em class="icon ni ni-edit-alt-fill"></em><span>Modifier</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Historique</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Orateur</span></div>
                        <div class="nk-tb-col"><span>Date</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>

                    {% for weekend in speech.weekends %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                                {% if  weekend.speaker %}
                                    <span><a href="{{ path('app_publisher_show', {'id': weekend.speaker.id}) }}">{{ weekend.speaker.fullName }}</a></span>
                                {% endif %}
                                {% if weekend.externalSpeaker %}
                                    <span>{{ weekend.externalSpeaker }}</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col">
                                <span class="badge bg-secondary">{{ weekend.date|date('d/m/Y') }}</span>
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_meeting_weekend_program_show', {'id': weekend.program.id}) }}">Voir le programme</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->

{% endblock %}

